# classes/phing/tasks/ext/Service/Amazon.php

Abstract Service_Amazon class.

Implements common methods & properties used by all Amazon services

abstract
author
  Andrei Serdeliuc
extends
  Task
package
  phing.tasks.ext
version
  $ID$

## \Service_Amazon
jump to top

Abstract Service_Amazon class.

Implements common methods & properties used by all Amazon services

Extends from
  \Task
abstract
author
  Andrei Serdeliuc
copyright
  2001,2002 THYRELL. All rights reserved
extends
  Task
package
  phing.tasks.ext
version
  $ID$

### Properties

`array $_options= 'array'`

Collection of set options

We set these magically so we can also load then from the environment

(default value: array())

Default value `array` Details

Type
  array
access
  protected

### Methods

`__get( mixed $var ) : void`
Property getter

If the property hasn't been previously set (through the task call normally), it will try to load it from the project

This way, we can define global properties for the "Amazon" service, like key and secret

Parameters

Name | Type | Description
--- | --- | ---
$var | mixed |

Details

access
  public

`__isset( $var ) :`
Parameters

Name | Type | Description
--- | --- | ---
$var |  |

`__set( $var, $val ) :`
Parameters

Name | Type | Description
--- | --- | ---
$var |  |
$val |  |

`getKey( ) :`
`getSecret( ) :`
`setKey( $key ) :`
Parameters

Name | Type | Description
--- | --- | ---
$key |  |

`setSecret( $secret ) :`
Parameters

Name | Type | Description
--- | --- | ---
$secret |  |

Documentation was generated by DocBlox 0.13.1.